<%
# BigBlueButton open source conferencing system - http://www.bigbluebutton.org/.
# Copyright (c) 2018 BigBlueButton Inc. and by respective authors (see below).
# This program is free software; you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free Software
# Foundation; either version 3.0 of the License, or (at your option) any later
# version.
#
# BigBlueButton is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
# You should have received a copy of the GNU Lesser General Public License along
# with BigBlueButton; if not, see <http://www.gnu.org/licenses/>.
%>

<div class="container">
  <div class="row pt-7">
    <div class="col col-lg-6 offset-lg-3">
      <div class="card">
        <div class="card-header background">
          <h4 class="mt-2"><%= t("signup.subtitle") %></h4>
        </div>
        <div class="card-body background">
          <% unless iconset_providers.length.zero? %>
            <% iconset_providers.each do |provider| %>
              <%= link_to omniauth_login_url(provider), class: "customBtn-#{provider} oauth-signin" do %>
                <span class="customBtn-icon">
                  <img class="customBtn-image"></img>
                </span>
                <span class="customBtn-text"><%= t("signup.with", provider: t("provider.#{provider}")) %></span>
              <% end %>
            <% end %>
            <div class="or-line my-3">
              <div>
                <span class="text-uppercase" style="background-color: #F5F7FB;">
                  <%= t("modal.login.or") %>
                </span>
              </div>
            </div>
          <% end %>
          <%= form_for @user, url: create_user_path, method: :post do |f|  %>
            <div class="form-group">
              <%= f.label :name, t("settings.account.fullname"), class: "form-label" %>
              <%= f.text_field :name, class: "form-control #{form_is_invalid?(@user, :name)}", placeholder: t("settings.account.fullname") %>
              <div class="invalid-feedback d-block"><%= @user.errors.full_messages_for(:name).first %></div>
            </div>
            <div class="form-group">
              <%= f.label :email, t("email"), class: "form-label" %>
              <%= f.email_field :email, class: "form-control #{form_is_invalid?(@user, :email)}", placeholder: t("email") %>
              <div class="invalid-feedback d-block"><%= @user.errors.full_messages_for(:email).first %></div>
            </div>
            <div class="form-group">
              <%= f.label :password, t("password"), class: "form-label" %>
              <%= f.password_field :password, class: "form-control #{form_is_invalid?(@user, :password)}", placeholder: t("password") %>
              <div class="invalid-feedback d-block"><%= @user.errors.full_messages_for(:password).first %></div>
            </div>
            <div class="form-group">
              <%= f.label :password_confirmation, t("signup.password_confirm"), class: "form-label" %>
              <%= f.password_field :password_confirmation, class: "form-control #{form_is_invalid?(@user, :password_confirmation)}", placeholder: t("signup.password_confirm") %>
              <div class="invalid-feedback d-block"><%= @user.errors.full_messages_for(:password_confirmation).first %></div>
            </div>
            <%= invisible_captcha %>
            <% if Rails.configuration.terms %>
              <div class="form-inline">
                <label class="custom-switch">
                  <%= f.check_box :accepted_terms, class: "custom-switch-input form-control #{form_is_invalid?(@user, :accepted_terms)}", placeholder: t("signup.password_confirm") %>
                  <span class="custom-switch-indicator cursor-pointer"></span>
                </label>
                <%= f.label :accepted_terms, t("terms.accept", href: link_to(t("terms.title"), terms_path, target: "_blank", class: "ml-1 text-blue")).html_safe, class: "ml-1" %>
                <div class="invalid-feedback d-block"><%= @user.errors.full_messages_for(:accepted_terms).first %></div>
              </div>
            <% end %>
            <div class="card-footer px-0 pb-0">
              <% if recaptcha_enabled? %>
                <div class="form-group">
                  <%= recaptcha_tags %>
                  <div class="invalid-feedback d-block"><%= @user.errors.full_messages_for(:base).first %></div>
                </div>
              <% end %>
              <%= f.submit t("signup.title"), class: "btn btn-primary btn-block signin-button" %>
            </div>
          <% end %>
        </div>
      </div>
    </div>
  </div>
</div>
